.. _installation:

Installation
============

The latest release version of tsfpga can be installed from
`PyPI <https://pypi.org/project/tsfpga/>`__ with the command

.. code-block:: shell

  python3 -m pip install tsfpga

Alternatively, you can clone the `git repository <https://gitlab.com/tsfpga/tsfpga>`__
if you want to use a development version.
From the repo checkout you can install the Python package by running

.. code-block:: shell

  python3 setup.py install

in the repo root.
You can also access it in your scripts by adding the repo path to the ``PYTHONPATH`` environment
variable, or by modifying ``sys.path`` in your script.

